For the complete documentation index, see llms.txt. This page is also available as Markdown.

Position Types

List position types

get

Returns position types in the tenant, paginated. Each entry carries id, name, and description.

Query

  • search β€” optional case-insensitive substring match on name.

  • page / limit β€” defaults page = 1, limit = 25, max limit = 100.

Authorizations
x-api-keystringRequired
Query parameters
searchstring Β· max: 100Optional

Case-insensitive substring match on name.

pagenumber Β· min: 1OptionalDefault: 1
limitnumber Β· min: 1 Β· max: 100OptionalDefault: 25
Header parameters
x-tenant-idstring Β· uuidOptional

Tenant id (uuid v4)

Responses
200Success
application/json
get/api/v1/public/position-types
GET /api/v1/public/position-types HTTP/1.1
Host: api-stage.hesh.tech
x-api-key: YOUR_API_KEY
Accept: */*
{
  "data": [
    {
      "id": "text",
      "name": "text",
      "description": "text"
    }
  ],
  "meta": {
    "total": 1,
    "lastPage": 1,
    "currentPage": 1,
    "perPage": 1,
    "prev": 1,
    "next": 1
  }
}

Last updated